I have a troubel with a program called Huldt Lillevik.
When i install it by the exe file on cd the instalation works fine.
When i use Wise package studio and reformed it to a msi file for distrubition it stop at det first picture and tells me that i need Internet Expoler 5.0 or above. I have XP with 6.0 so that should not be the problem.
can it have something with the msi package to do? In wise i havent did anything with the program so i should be exactly the same as in exe version.

Thank to anyone that have a idea about this.

Best regards
0 Comments   [ + ] Show Comments


Please log in to comment

Rating comments in this legacy AppDeploy message board thread won't reorder them,
so that the conversation will remain readable.



This maybe a red herring but I had a similar problem with an application that used SQL and used merge modules. The fault was with one of the SQL merge modules, it had a prerequisite of IE 5.0 but failed even though I had 6.0. SQL KB maybe that can help you out.


Answered 08/07/2006 by: BarryB
Orange Belt

Please log in to comment
Edit the MSI and check the LaunchCondition's Table ... If you don't find anything there...

Try launching the MSI with logging ... when you get that error don't close it... Check your log file for a property it is checking ... If it is checking a proper, hard code the property in the Property Table.

Good Luck...
Answered 08/07/2006 by: gmorgan618
Blue Belt

Please log in to comment
If you used a sql merge module the SQLBase.msm is what you're looking for.
The AppSearch table will contain a Property entry 'APPIE.2D02443E_7002_4C0B_ABC9_EAB2C064397B' pointing to the Signature 'F_IE.2D02443E_7002_4C0B_ABC9_EAB2C064397B'. The Signature (Table) is looking for the file with the filename shdocvw.dll (SystemFolder) with a minimal version of 5.0.2314.0. This is a known "bug" that BarryB mentioned, so either you remove the condition as gmorgan618 stated or set it to always return true or just skip the merge module and include the sql related files as regular files instead.
Answered 08/07/2006 by: AngelD
Red Belt

Please log in to comment

Now i have tried the tips form you but without a solution.

- There is not in the Launchcondition`s table
- I deleate the Property appi.2d02443e...... and put the shdocvw.dll in system folder but that did`nt
fix the problem. It still came up with Internet explorer 5.0 or above! [:@]

Is it someone that have more tips? [8|]

Thaks and good weekend :-)
Answered 08/11/2006 by: aje
Yellow Belt

Please log in to comment
If the exe setup launch an msi then enable logging policy and see what "command line" the msi has or just use process explorer from sysinternals to we what properties the exe passes to the msi. Add the proper properties in a transform and see if that helps.
Answered 08/11/2006 by: AngelD
Red Belt

Please log in to comment
Answer this question or Comment on this question for clarity